<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        je_admin();

        $pismeno = orez_retezec($_GET[pismeno]);

        if(isset($_POST[neodeslat_form])) {
                header("Location: admin_prava.php?pismeno=$pismeno");
                exit();
        } elseif((isset($_GET[smazat])) && (isset($_POST[smazat_uzivatele]))) {
                $smazat = 1 * $_GET[smazat];
                dotaz("DELETE FROM forum_uzivatele WHERE id = '$smazat' LIMIT 1;");
                header("Location: admin_prava.php?pismeno=$pismeno");
        } elseif(isset($_GET[smazat])) {
                $smazat = 1 * $_GET[smazat];
                if($smazat == $prihlaseni_id) {
                        $oznam = "<div class=\"uzivatele_oznam\"><b>Nelze smazat aktuálně přihlášeného uživatele.</b></div>";
                } else {
                        $row = mysql_fetch_array(dotaz("SELECT jmeno FROM forum_uzivatele WHERE id = '$smazat';"));
                        $oznam = "<form action=\"admin_prava.php?pismeno=".$pismeno."&#38;smazat=".$smazat."\" method=\"post\"><fieldset><legend>Smazání uživatele</legend><label>Opravdu si přejete smazat uživatele <b>".$row[jmeno]."</b>?</label><input type=\"submit\" value=\"Ano\" name=\"smazat_uzivatele\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                }
        } elseif(isset($_GET[admin])) {
                $admin = 1 * $_GET[admin];
                if($admin == $prihlaseni_id) {
                        $oznam = "<div class=\"uzivatele_oznam\"><b>Nelze měnit práva aktuálně přihlášeného uživatele.</b></div>";
                } elseif(isset($_POST[zmenit_prava])) {
                        $row = mysql_fetch_array(dotaz("SELECT admin FROM forum_uzivatele WHERE id = '$admin';"));
                        $admin_zmen = 1;
                        if($row[admin] == 1) { $admin_zmen = 0; }
                        dotaz("UPDATE forum_uzivatele SET admin = '$admin_zmen' WHERE id = '$admin';");
                        header("Location: admin_prava.php?pismeno=$pismeno");
                } else {
                        $row = mysql_fetch_array(dotaz("SELECT jmeno FROM forum_uzivatele WHERE id = '$admin';"));
                        $oznam = "<form action=\"admin_prava.php?pismeno=".$pismeno."&#38;admin=".$admin."\" method=\"post\"><fieldset><legend>Práva uživatele</legend><label>Opravdu si přejete změnit práva uživatele <b>".$row[jmeno]."</b>?</label><input type=\"submit\" value=\"Ano\" name=\"zmenit_prava\" /> <input type=\"submit\" value=\"Ne\" name=\"neodeslat_form\" /><br /><br /></fieldset></form>";
                }
        }

        echo hlavicka("Administrace | Uživatelé fóra", TRUE);
        echo logo();
        echo menu();

        echo "\n\t<div id=\"navigace\">Administrace - Uživatelé fóra</div>".$oznam."\n\t<div id=\"obsah\">\n\t\t<div id=\"uzivatele_pismena\">\n\t\t\t";

        $pismena = Array();
        for($i = 97; $i <= 122; $i++) {
                $a = chr($i);
                $pismena[$a] = 0;
        }

        $query = dotaz("SELECT LOWER(jmeno) FROM forum_uzivatele;");
        while($row = mysql_fetch_array($query)) {
                $pismeno_jmeno = substr($row[0], 0, 1);
                if(ereg("([a-zA-Z])",$pismeno_jmeno)) {
                        $pismena[$pismeno_jmeno] = 1;
                } else {
                        $pismena["0-9"] = 1;
                }
        }

        foreach($pismena as $pismeno_1 => $hodnota) {
                if($hodnota == 1) {
                        if($pismeno == $pismeno_1) {
                                echo "<a href=\"admin_prava.php?pismeno=".$pismeno_1."\" title=\"Uživatelé od ".$pismeno_1."\"><b>".$pismeno_1."</b></a> . ";
                        } else {
                                echo "<a href=\"admin_prava.php?pismeno=".$pismeno_1."\" title=\"Uživatelé od ".$pismeno_1."\">".$pismeno_1."</a> . ";
                        }
                } else {
                        echo $pismeno_1." . ";
                }
        }
        echo "<a href=\"admin_prava.php?pismeno=2\" title=\"Admini\">admini</a>";

        echo "\n\t\t</div>\n\t\t<table class=\"uzivatele\" cellspacing=\"0\" cellpadding=\"0\">
                        <tr class=\"uzivatele_hlavicka\">
                                <td>jméno uživatele</td>
                                <td align=\"center\">mazání</td>
                                <td align=\"center\">admin</td>
                        </tr>\n";

        if(empty($pismeno)) { $pismeno = "a"; }

        if(ereg("([a-zA-Z])",$pismeno)) { $query = dotaz("SELECT id,jmeno,admin FROM forum_uzivatele WHERE LOWER(jmeno) LIKE '$pismeno%' ORDER BY jmeno;"); }
        elseif($pismeno == 2) { $query = dotaz("SELECT id,jmeno,admin FROM forum_uzivatele WHERE admin = '1' ORDER BY jmeno;"); }
        else { $query = dotaz("SELECT id,jmeno,admin FROM forum_uzivatele WHERE jmeno NOT REGEXP '^[a-z]' ORDER BY jmeno;"); }

        $i = 0;
        while($row = mysql_fetch_array($query)) {
                if($i % 2) { $class = ""; } else { $class = " class=\"uzivatele tr_2\""; }
                echo "\t\t\t<tr".$class.">
                                <td class=\"uzivatele_hlavni\"><a href=\"profil.php?uzivatel=".$row[id]."\" title=\"Profil uživatele\">$row[1]</a></td>
                                <td align=\"center\"><a href=\"admin_prava.php?pismeno=".$pismeno."&#38;smazat=".$row[id]."\" title=\"Smazat uživatele\">smazat</a></td>\n";
                if($row[admin] == 1) { echo "\t\t\t<td align=\"center\"><a href=\"admin_prava.php?pismeno=".$pismeno."&#38;admin=".$row[id]."\" title=\"Admin\">ano</a></td>\n"; }
                else { echo "\t\t\t\t<td align=\"center\"><a href=\"admin_prava.php?pismeno=".$pismeno."&#38;admin=".$row[id]."\" title=\"Admin\">ne</a></td>\n"; }
                echo "\t\t\t</tr>\n";
                $i++;
        }
        if($i == 0) { echo "<tr><td align=\"center\" colspan=\"3\"><em>Pod tímto písmenem nejsou žádní uživatelé</em></td></tr>"; }

        echo "\t\t</table>\n\t</div>\n".$paticka; 
?>